Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

Get profile view counts (24h/7d/30d × unique/total) for an account

POST/v1/account.getViewStats
Authorization
AuthorizationBearer token · headerrequired
Request body
requiredapplication/json
idIDSearch
Show properties
accountIdinteger<int32>

Account ID to search for

min 0 · min length 7
steamId64string

SteamID64 to search for

min length 17 · max length 17
vanityVanitySearch
Show properties
typestringrequired

Which type of vanity to search for

Allowed:steaminternal
valuestringrequired

Vanity to search for

min length 2 · matches ^[a-zA-Z0-9-_]+$
Responses
200

OK

total24hinteger<int64>required

Total profile loads in the last 24 hours

min 0
total30dinteger<int64>required

Total profile loads in the last 30 days

min 0
total7dinteger<int64>required

Total profile loads in the last 7 days

min 0
unique24hinteger<int64>required

Distinct viewers in the last 24 hours

min 0
unique30dinteger<int64>required

Distinct viewers in the last 30 days

min 0
unique7dinteger<int64>required

Distinct viewers in the last 7 days

min 0
400

Bad Request

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
401

Unauthorized

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
404

Not Found

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
422

Unprocessable Entity

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
500

Internal Server Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.steamsets.com/v1/account.getViewStats' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": {
    "accountId": 0,
    "steamId64": "stringstringstrin"
  },
  "vanity": {
    "type": "steam",
    "value": "string"
  }
}'
Response
{
  "total24h": 0,
  "total30d": 0,
  "total7d": 0,
  "unique24h": 0,
  "unique30d": 0,
  "unique7d": 0
}